プロキシの更新 — プロキシローテーションの有効・無効
このセクションでは、PinguProxy でプロキシの更新 — プロキシローテーションの有効・無効を確実に設定する方法を説明します。
PUT
/proxies/update_rotation本文パラメータ
セキュリティ
Authorizationstring必須JWT Bearer トークン
Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
リクエスト本文
idinteger必須更新するプロキシの ID
is_rotatingboolean必須プロキシローテーションの有効・無効
1const response = await fetch('https://api.pinguproxy.com/proxies/update_rotation', {2 method: 'PUT',3 headers: {4 'Authorization': 'Bearer your-jwt-token',5 'Content-Type': 'application/json'6 },7 body: JSON.stringify({8 id: 1,9 is_rotating: true10 })11});1213const result = await response.json();
レスポンス
ステータス 200
{"is_rotating": true}
プロキシの更新 — 新しい間隔(秒)
このセクションでは、PinguProxy でプロキシの更新 — 新しい間隔(秒)を確実に設定する方法を説明します。
PUT
/proxies/update_rotate_interval本文パラメータ
セキュリティ
Authorizationstring必須JWT Bearer トークン
Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
リクエスト本文
idinteger必須更新するプロキシの ID
rotate_intervalinteger必須新しい間隔(秒)
1const response = await fetch('https://api.pinguproxy.com/proxies/update_rotate_interval', {2 method: 'PUT',3 headers: {4 'Authorization': 'Bearer your-jwt-token',5 'Content-Type': 'application/json'6 },7 body: JSON.stringify({8 id: 1,9 rotate_interval: 30010 })11});1213const result = await response.json();
レスポンス
ステータス 200
{"success": true}
プロキシの更新 — 新しいプロキシラベル
このセクションでは、PinguProxy でプロキシの更新 — 新しいプロキシラベルを確実に設定する方法を説明します。
PUT
/proxies/update_label本文パラメータ
セキュリティ
Authorizationstring必須JWT Bearer トークン
Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
リクエスト本文
idinteger必須更新するプロキシの ID
labelstring必須新しいプロキシラベル
1const response = await fetch('https://api.pinguproxy.com/proxies/update_label', {2 method: 'PUT',3 headers: {4 'Authorization': 'Bearer your-jwt-token',5 'Content-Type': 'application/json'6 },7 body: JSON.stringify({8 id: 1,9 label: 'My Proxy'10 })11});1213const result = await response.json();
レスポンス
ステータス 200
true